<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="管加工产线工序点配置">
	<query id="FrmSetPline.Query" desc="查询产线对应的工序点">
	 <![CDATA[ 
select t1.* from MCH_COM_SETPLINE t1 where t1.pline_code in (SELECT T.pline_code FROM COM_BASE_PLINE T WHERE T.PROCESS_CODE ='G'
UNION ALL
SELECT T.STORAGE_NAME FROM YDM_BS_STORAGE T WHERE T.HL_MANAGEMENT_NO='002001006')
	  ]]>
	</query>
	<query id="FrmSetPline.addOfficeD" desc="工序点新增">
	 <![CDATA[ 
INSERT INTO MCH_COM_SETPLINE
  (PLINE_CODE,STATION_NAMES,OFFLINE_PLACE,PLINE_NAME)
VALUES
  (?,?,?,?)
	  ]]>
	</query>

	<query id="FrmSetPline.addOfficeDNew" desc="工序点新增">
		<![CDATA[
INSERT INTO MCH_COM_SETPLINE
  (PLINE_CODE,
   PLINE_NAME,
   STATION_CODES,
   STATION_NAMES,
   USER_DATE,
   USER_NAME,
   OFFLINE_PLACE)
VALUES
  (?, ?, ?, ?, ?, ?, ?)
	  ]]>
	</query>

	<query id="FrmSetPline.detOfficeD" desc="删除相同的产线数据">
	 <![CDATA[ 
 DELETE FROM MCH_COM_SETPLINE T WHERE T.PLINE_CODE= ?
	  ]]>
	</query>
	<query id="FrmSetPline.detOfficeDirect" desc="删除相同的产线数据">
	 <![CDATA[ 
 DELETE FROM MCH_COM_SETPLINE T WHERE T.PLINE_CODE= ?
	  ]]>
	</query>

</queryMap>